---
updatedAt: 2026-05-29T17:03:39.000Z
---

# Get default templates

Returns all default templates.

**Authorization scope**: `templates:read`


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "MURAL Public API",
    "description": "MURAL's Public API\n",
    "termsOfService": "https://start.mural.co/developer-beta/terms",
    "contact": {
      "name": "MURAL",
      "email": "m4d@mural.co"
    },
    "version": "1.0.0",
    "x-logo": {
      "url": "https://app.mural.co/static/images/new-logo.svg",
      "href": "https://mural.co"
    }
  },
  "servers": [
    {
      "url": "https://app.mural.co/api/public/{version}",
      "description": "MURAL Public API",
      "variables": {
        "version": {
          "default": "v1",
          "enum": [
            "v1"
          ]
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Templates"
    }
  ],
  "paths": {
    "/templates": {
      "get": {
        "security": [
          {
            "oauth2": [
              "templates:read"
            ]
          }
        ],
        "tags": [
          "Templates"
        ],
        "summary": "Get default templates",
        "description": "Returns all default templates.\n\n**Authorization scope**: `templates:read`\n",
        "operationId": "getDefaultTemplates",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/nextToken"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/PaginatedList"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "value": {
                          "description": "The array of default templates returned.",
                          "type": "array",
                          "items": {
                            "$ref": "#/components/schemas/TemplateDefault"
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/QueryBadRequest"
                    },
                    {
                      "$ref": "#/components/schemas/LimitBadRequest"
                    },
                    {
                      "$ref": "#/components/schemas/PaginationBadRequest"
                    },
                    {
                      "$ref": "#/components/schemas/NextTokenExpired"
                    }
                  ]
                },
                "examples": {
                  "Bad Query Request": {
                    "value": {
                      "code": "QUERY",
                      "message": "The payload is invalid.",
                      "details": [
                        {
                          "code": "Invalid property",
                          "message": "Invalid \"withoutDefault\" property type was sent. Type 'true', 'false' was expected."
                        }
                      ]
                    }
                  },
                  "Next Token Expired": {
                    "value": {
                      "code": "NEXT_TOKEN_EXPIRED",
                      "message": "The next token has expired or does not exist."
                    }
                  },
                  "Invalid limit": {
                    "value": {
                      "code": "LIMIT_INVALID",
                      "message": "The limit is invalid."
                    }
                  },
                  "Invalid pagination": {
                    "value": {
                      "code": "PAGINATION_INVALID",
                      "message": "The pagination is invalid."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.mural.co/api/public/v1/authorization/oauth2",
            "tokenUrl": "https://app.mural.co/api/public/v1/authorization/oauth2/token",
            "refreshUrl": "https://app.mural.co/api/public/v1/authorization/oauth2/token",
            "scopes": {
              "rooms:read": "Read information about rooms (for room members and owners).",
              "rooms:write": "Write information about rooms (for room owners).",
              "users:read": "Read information about users (guests, members, and visitors).",
              "workspaces:write": "Write information about workspaces (for workspace owners)",
              "workspaces:read": "Read information about workspaces (for workspace members and owners).",
              "murals:read": "Read information about murals (for mural members and owners).",
              "murals:write": "Write information about murals (for mural members and owners).",
              "identity:read": "Read information about currently authenticated user.",
              "templates:read": "Read information about templates.",
              "templates:write": "Write information about templates (for templates owners)"
            }
          }
        }
      }
    },
    "schemas": {
      "WorkspaceId": {
        "type": "string",
        "description": "ID of a workspace.",
        "minLength": 5,
        "maxLength": 34,
        "example": "workspace1234"
      },
      "Timestamp": {
        "type": "number",
        "description": "Timestamp in milliseconds.",
        "example": 1608060691000
      },
      "UserId": {
        "type": "string",
        "description": "ID of a user.",
        "minLength": 25,
        "maxLength": 27,
        "example": "u1651c4ac9145e4b8497d5982"
      },
      "BaseError": {
        "description": "Thorough details regarding an error response from the API.",
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "description": "Error code",
            "example": "ERROR",
            "type": "string",
            "maxLength": 36
          },
          "message": {
            "description": "Short, human readable, description of the error.",
            "example": "Unknown server error",
            "type": "string"
          }
        }
      },
      "DetailedError": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BaseError"
          },
          {
            "type": "object",
            "properties": {
              "details": {
                "description": "Error details.",
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "description": "Error code",
                      "example": "SUB_ERROR",
                      "type": "string",
                      "maxLength": 36
                    },
                    "message": {
                      "description": "Short, human readable, description of the error.",
                      "example": "Unknown server error",
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        ]
      },
      "List": {
        "type": "object",
        "properties": {
          "value": {
            "type": "array",
            "description": "An array of entities.",
            "items": {
              "type": "object"
            }
          }
        }
      },
      "PaginatedList": {
        "allOf": [
          {
            "$ref": "#/components/schemas/List"
          },
          {
            "type": "object",
            "properties": {
              "next": {
                "description": "The token to get the next page of items.",
                "type": "string",
                "example": "eyJmaWx0ZXJCeSI6ImFjdGl2ZSIsImV4cGlyYXRpb24iOjE1MTcxMTAxNDYyMTZ9"
              }
            }
          }
        ]
      },
      "LimitBadRequest": {
        "description": "The request parameter for pagination limit was malformed or has invalid parameters.",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Request parameter for pagination limit was invalid.",
            "example": "LIMIT_INVALID",
            "enum": [
              "LIMIT_INVALID"
            ]
          },
          "message": {
            "type": "string",
            "description": "Human readable message for limit error.",
            "example": "Request query string for \"limit\" should be less than 100."
          }
        }
      },
      "PaginationBadRequest": {
        "description": "The pagination parameter is not valid.",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "The requested pagination parameter is not valid.",
            "example": "PAGINATION_INVALID",
            "enum": [
              "PAGINATION_INVALID"
            ]
          },
          "message": {
            "type": "string",
            "description": "Human readable message for pagination error.",
            "example": "The pagination is not valid."
          }
        }
      },
      "NextTokenExpired": {
        "description": "The token supplied to the next parameter has expired.",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "NEXT_TOKEN_EXPIRED"
            ],
            "example": "NEXT_TOKEN_EXPIRED"
          },
          "message": {
            "type": "string",
            "example": "The next token has expired or does not exist."
          }
        }
      },
      "TemplateId": {
        "type": "string",
        "description": "ID of a template.",
        "example": "05e43d68-0a0a-47a8-a958-c08afd57d7bc",
        "readOnly": true,
        "maxLength": 36,
        "minLength": 1
      },
      "BaseTemplate": {
        "type": "object",
        "properties": {
          "id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TemplateId"
              },
              {
                "description": "Unique identifier of the template.",
                "example": "ec7c511d-d7e3-4789-9287-f653134aff78"
              }
            ]
          },
          "name": {
            "type": "string",
            "description": "The name of the template.",
            "example": "Template 001"
          },
          "description": {
            "type": "string",
            "description": "The description of the template.",
            "example": "This template is our Mind Map"
          },
          "createdOn": {
            "$ref": "#/components/schemas/Timestamp"
          },
          "createdBy": {
            "$ref": "#/components/schemas/UserId"
          },
          "updatedBy": {
            "$ref": "#/components/schemas/UserId"
          },
          "updatedOn": {
            "$ref": "#/components/schemas/Timestamp"
          },
          "type": {
            "type": "string",
            "enum": [
              "default",
              "custom"
            ],
            "example": "default",
            "description": "Default templates are created by MURAL and are available in all workspaces.\nCustom templates are created by workspace members and are only available in the workspace they were created in.\n"
          },
          "workspaceId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/WorkspaceId"
              },
              {
                "description": "Unique ID of the workspace.",
                "example": "workspace1234"
              }
            ]
          },
          "thumbUrl": {
            "type": "string",
            "format": "uri",
            "example": "https://app.mural.co/mymuralthumbnail.jpg",
            "description": "A link pointing to the thumbnail for a template. This thumbnail may be blank while it is being created.\n"
          },
          "viewLink": {
            "type": "string",
            "format": "uri",
            "example": "https://app.mural.co/template/a17c1283-1b76-46a3-9d8e-001c48eaa037/f22fe694-6336-4ce4-8d38-df5561d5aba6",
            "description": "A link to open a template in MURAL."
          }
        },
        "required": [
          "name",
          "type",
          "workspaceId"
        ]
      },
      "TemplateDefault": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BaseTemplate"
          }
        ]
      },
      "QueryBadRequest": {
        "description": "The request query string was malformed or had invalid parameters.",
        "allOf": [
          {
            "$ref": "#/components/schemas/DetailedError"
          },
          {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "description": "Request query string has invalid parameters.",
                "example": "QUERY",
                "enum": [
                  "QUERY"
                ]
              }
            }
          }
        ]
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "No authorization",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/BaseError"
                },
                {
                  "type": "object",
                  "properties": {
                    "code": {
                      "enum": [
                        "UNAUTHORIZED",
                        "TOKEN_EXPIRED"
                      ]
                    }
                  }
                }
              ]
            },
            "examples": {
              "authorization": {
                "summary": "No authorization",
                "value": {
                  "code": "UNAUTHORIZED",
                  "message": "You don't have the required permissions to access this endpoint."
                }
              },
              "expiredToken": {
                "summary": "Expired token",
                "value": {
                  "code": "TOKEN_EXPIRED",
                  "message": "Your token has expired. You need to refresh your OAuth token."
                }
              }
            }
          }
        }
      },
      "ServerError": {
        "description": "API error",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/DetailedError"
                },
                {
                  "type": "object",
                  "properties": {
                    "code": {
                      "enum": [
                        "INTERNAL_SERVER_ERROR"
                      ],
                      "example": "INTERNAL_SERVER_ERROR"
                    },
                    "message": {
                      "example": "An unexpected condition was encountered that prevented us from fulfilling the request. Try it again later, please."
                    }
                  }
                }
              ]
            }
          }
        }
      }
    },
    "parameters": {
      "limit": {
        "in": "query",
        "name": "limit",
        "schema": {
          "type": "integer"
        },
        "required": false,
        "description": "Maximum number of results to be returned by the endpoint."
      },
      "nextToken": {
        "in": "query",
        "name": "next",
        "schema": {
          "type": "string"
        },
        "required": false,
        "description": "Token to get the next page of items."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false
  }
}
```